Retrieve DPU Extension Service Version

View as Markdown

Retrieve details for a specific version of a DPU Extension Service.

DPU Extension Service must be owned by current Tenant.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
dpuExtensionServiceIdstringRequired
ID of the DPU Extension Service
versionstringRequired
Version of the DPU Extension Service

Response

versionstring or null
Current version of the DPU Extension Service
datastring
Deployment spec for the DPU Extension Service
hasCredentialsboolean
Indicates whether this version was created with credentials
createddatetimeRead-only

Date/time when this version of the DPU Extension Service was created

observabilityobject
Observability configuration for this DPU Extension Service version

Errors

403
Forbidden Error
404
Not Found Error